clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::SymbolInformation Struct Reference

Represents information about programming constructs like variables, classes, interfaces etc. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SymbolInformation:
[legend]

## Public Attributes
std::string | name
| The name of this symbol. More...
SymbolKind | kind
| The kind of this symbol. More...
Location | location
| The location of this symbol. More...
std::string | containerName
| The name of the symbol containing this symbol. More...

## Detailed Description

Represents information about programming constructs like variables, classes, interfaces etc.

Definition at line 721 of file Protocol.h.

## Member Data Documentation

## ◆ containerName

std::string clang::clangd::SymbolInformation::containerName

The name of the symbol containing this symbol.

Definition at line 732 of file Protocol.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::toJSON().

## ◆ kind

SymbolKind clang::clangd::SymbolInformation::kind

The kind of this symbol.

Definition at line 726 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ location

Location clang::clangd::SymbolInformation::location

The location of this symbol.

Definition at line 729 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ name

std::string clang::clangd::SymbolInformation::name

The name of this symbol.

Definition at line 723 of file Protocol.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h